## org.eclipse.m2m.atl.debug.core.adwp
Class AtlValue

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.m2m.atl.debug.core.AtlDebugElement
              org.eclipse.m2m.atl.debug.core.adwp.AtlValue

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.model.IDebugElement, org.eclipse.debug.core.model.IValue

    public class AtlValue

extends AtlDebugElement
implements org.eclipse.debug.core.model.IValue

ATL Value (for debug).

Field Summary

Fields inherited from class org.eclipse.m2m.atl.debug.core.AtlDebugElement
`fTarget`

Constructor Summary
`AtlValue(Value value, AtlDebugTarget atlDT)` Constructor.
`AtlValue(Value value, ObjectReference asType, AtlDebugTarget atlDT)` Constructor.

Method Summary
`org.eclipse.debug.core.model.IDebugTarget` `getDebugTarget()`
`org.eclipse.debug.core.ILaunch` `getLaunch()`
`java.lang.String` `getReferenceTypeName()`
`Value` `getValue()` Returns the ATL value.
`java.lang.String` `getValueString()`
`org.eclipse.debug.core.model.IVariable[]` `getVariables()`
`boolean` `hasVariables()`
`boolean` `isAllocated()`
`boolean` `isContainer()` Returns `true` if the value has variables or `false` elsewhere.

Methods inherited from class org.eclipse.m2m.atl.debug.core.AtlDebugElement
`abort, getAdapter, getModelIdentifier`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### AtlValue

    public AtlValue(Value value,
                    ObjectReference asType,
                    AtlDebugTarget atlDT)

  Constructor.

  Parameters:
    `value` - the value
    `atlDT` - the debug target
    `asType` - the reference

### AtlValue

    public AtlValue(Value value,
                    AtlDebugTarget atlDT)

  Constructor.

  Parameters:
    `value` - the value
    `atlDT` - the debug target

Method Detail

### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws org.eclipse.debug.core.DebugException

  Specified by:
    `getReferenceTypeName` in interface `org.eclipse.debug.core.model.IValue`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IValue.getReferenceTypeName()`

### getValueString

    public java.lang.String getValueString()
                                    throws org.eclipse.debug.core.DebugException

  Specified by:
    `getValueString` in interface `org.eclipse.debug.core.model.IValue`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IValue.getValueString()`

### isAllocated

    public boolean isAllocated()
                        throws org.eclipse.debug.core.DebugException

  Specified by:
    `isAllocated` in interface `org.eclipse.debug.core.model.IValue`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IValue.isAllocated()`

### getVariables

    public org.eclipse.debug.core.model.IVariable[] getVariables()
                                                          throws org.eclipse.debug.core.DebugException

  Specified by:
    `getVariables` in interface `org.eclipse.debug.core.model.IValue`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IValue.getVariables()`

### hasVariables

    public boolean hasVariables()
                         throws org.eclipse.debug.core.DebugException

  Specified by:
    `hasVariables` in interface `org.eclipse.debug.core.model.IValue`
  Throws:
    `org.eclipse.debug.core.DebugException`
  See Also:
    `IValue.hasVariables()`

### getDebugTarget

    public org.eclipse.debug.core.model.IDebugTarget getDebugTarget()

  Specified by:
    `getDebugTarget` in interface `org.eclipse.debug.core.model.IDebugElement`
  Overrides:
    `getDebugTarget` in class `AtlDebugElement`
  See Also:
    `AtlDebugElement.getDebugTarget()`

### getLaunch

    public org.eclipse.debug.core.ILaunch getLaunch()

  Specified by:
    `getLaunch` in interface `org.eclipse.debug.core.model.IDebugElement`
  Overrides:
    `getLaunch` in class `AtlDebugElement`
  See Also:
    `AtlDebugElement.getLaunch()`

### getValue

    public Value getValue()

  Returns the ATL value.

  Returns:
    the ATL value

### isContainer

    public boolean isContainer()

  Returns `true` if the value has variables or `false` elsewhere.

  Returns:
    `true` if the value has variables or `false` elsewhere

Copyright 2007 IBM Corporation and others. All Rights Reserved.